# A python logging style log library.


## Documentation

Please See http://hackage.haskell.org/package/log4hs


## Example
```haskell
{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE TemplateHaskell   #-}

module Main ( main ) where

import           Logging.Config.Json (getManager)
import           Logging.Global      (run)
import           Logging.Global.TH   (debug, error, fatal, info, logv, warn)
import           Prelude             hiding (error)

main :: IO ()
main = getManager "{}" >>= flip run app

logger = "Main"

app :: IO ()
app = do
  $(debug) logger "this is a test message"
  $(info) logger "this is a test message"
  $(warn) logger "this is a test message"
  $(error) logger "this is a test message"
  $(fatal) logger "this is a test message"
  $(logv) logger "LEVEL 100" "this is a test message"
```

## Contributing

The source code will be opened to public after version 1.0.0 released. So, please wait.



## Issue Reporting

Please send email to jorah@version.cloud for now.



## License

[BSD3](http://hackage.haskell.org/package/log4hs/src/LICENSE)
